complexType "WeatherLegCalculation"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 9 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 9 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | settlementLevel?, referenceLevelEqualsZero?, calculationDate?, businessDays?, dataCorrection?, correctionPeriod?, maximumPaymentAmount?, maximumTransactionPaymentAmount?, rounding?
</...>

Content Model Elements (9):

  businessDays (defined in WeatherLegCalculation complexType),
  calculationDate (defined in WeatherLegCalculation complexType),
  correctionPeriod,
  dataCorrection,
  maximumPaymentAmount,
  maximumTransactionPaymentAmount,
  referenceLevelEqualsZero,
  rounding (defined in WeatherLegCalculation complexType),
  settlementLevel

All Direct / Indirect Based Elements (2):

  calculation (in commodityOption), | calculation (in weatherLeg)

Known Usage Locations

- As direct type of elements (2):

  calculation (in commodityOption), | calculation (in weatherLeg)

Annotation
A type to capture details of the calculation of the Payment Amount on a Weather Index Transaction.
XML Source (w/o annotations (10); see within schema source)

<xsd:complexType name="WeatherLegCalculation"> <xsd:sequence> <xsd:element minOccurs="0" name="settlementLevel" type="WeatherSettlementLevelEnum"/> <xsd:element minOccurs="0" name="referenceLevelEqualsZero" type="xsd:boolean"/> <xsd:element minOccurs="0" name="calculationDate" type="Period"/> <xsd:element minOccurs="0" name="businessDays" type="BusinessCenter"/> <xsd:element minOccurs="0" name="dataCorrection" type="xsd:boolean"/> <xsd:element minOccurs="0" name="correctionPeriod" type="Period"/> <xsd:element minOccurs="0" name="maximumPaymentAmount" type="NonNegativeMoney"/> <xsd:element minOccurs="0" name="maximumTransactionPaymentAmount" type="NonNegativeMoney"/> <xsd:element minOccurs="0" name="rounding" type="Rounding"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 9/9)
businessDays

  Type: | BusinessCenter, simple content

  A day on which commmercial banks settle payments and are open for general business in the place(s) specified in the Confirmation. See Section 1.3 of the ISDA 2005 Commodity Definitions.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="businessDays" type="BusinessCenter"/>

calculationDate

  Type: | Period, complex content

  The number of days following the final day of the Calculation Period specified in the Confirmation on which is is practicable to provide the notice that the Calculation Agent is required to give for that Settlement Date or Payment Date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculationDate" type="Period"/>

correctionPeriod

  Type: | Period, complex content

  If 'dataCorrection'=true, this indicates how long after the initial publication of the data corrections can be made.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="correctionPeriod" type="Period"/>

dataCorrection

  Type: | xsd:boolean, predefined, simple content

  The date payment often revised after its publication, this indicates if the payment date could be recalculated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dataCorrection" type="xsd:boolean"/>

maximumPaymentAmount

  Type: | NonNegativeMoney, complex content

  The maximum total payment amount that will be paid in any particular transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="maximumPaymentAmount" type="NonNegativeMoney"/>

maximumTransactionPaymentAmount

  Type: | NonNegativeMoney, complex content

  The maximum payment amount that will be paid in any particular Calculation Period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="maximumTransactionPaymentAmount" type="NonNegativeMoney"/>

referenceLevelEqualsZero

  Type: | xsd:boolean, predefined, simple content

  If Reference Level Equals Zero is specified to be applicable then CPD means, for any day during the Calculation Period, (A) 1 if the Daily Precipitation for that day is greater than or equal to the CPD Reference Level or (B) zero if the the Daily Precipitation for that day is less than the CPD Reference Level. If Reference Level Equals Zero is specified not to be applicable then CPD means, for any day during the Calculation Period, (A) 1 if the Daily Precipitation for that day is greater than the CPD Reference Level or 0 if the Daily Precipitation for that day is less than or equal to the CPD Reference Level.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="referenceLevelEqualsZero" type="xsd:boolean"/>

rounding

  Type: | Rounding, complex content

  Rounding direction and precision for price values.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="rounding" type="Rounding"/>

settlementLevel

  Type: | WeatherSettlementLevelEnum, simple content

  The Settlement Level means either the cumulative number of Weather Index Units for each day in the Calculation Period (Cumulative) or the cumulative number of Weather Index Units for each day in the Calculation Period divided by the number of days in the Calculation Period (Average) or the maximum number of Weather Index Units for any day in the Calculation Period (Maximum) or the minimum number of Weather Index Units for any day in the Calculation Period.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Cumulative" | - | The cumulative number of Weather Index Units for each day in the Calculation Period.
  "Average" | - | The cumulative number of Weather Index Units for each day in the Calculation Period divided by the number of days in the Calculation Period.
  "Mximum" | - | The maximum number of Weather Index Units for any day in the Calculation Period.
  "Minimum" | - | The minimum number of Weather Index Units for any day in the Calculation Period.

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="settlementLevel" type="WeatherSettlementLevelEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.